    /*
     * call-seq:
     *  enumeration
     *
     * An enumeration of possible values
     */
    static VALUE enumeration(VALUE self)
    {
      xmlAttributePtr node;
      xmlEnumerationPtr enm;
      VALUE list;

      Data_Get_Struct(self, xmlAttribute, node);

      list = rb_ary_new();
      enm = node->tree;

      while(enm) {
        rb_ary_push(list, NOKOGIRI_STR_NEW2(enm->name));
        enm = enm->next;
      }

      return list;
    }